For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all private tasks that the current user created and assigned to someone else.
      • GETReturns a private task that the current user created and assigned to someone else.
      • GETReturns all private tasks of the current user.
      • GETReturns the task statuses for private tasks for the specified user.
      • GETReturns the private task with the specified id for the current user.
      • GETReturns all private tasks that a user created and assigned to someone else.
      • GETReturns a private task that a user created and assigned to someone else.
      • GETReturns all private tasks of the user with the specified id.
      • GETReturns the task statuses for private tasks for the specified user.
      • GETReturns the private task of a user with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferencePrivate Tasks

Returns the task statuses for private tasks for the specified user.

GET
https://api.awork.com/api/v1/me/privatetasks/taskstatuses
GET
/api/v1/me/privatetasks/taskstatuses
$curl https://api.awork.com/api/v1/me/privatetasks/taskstatuses \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "Conceptualize",
5 "type": "progress",
6 "order": 2,
7 "icon": "arrow_forward",
8 "projectId": "123e4567-e89b-12d3-a456-426614174000",
9 "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
10 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
11 "createdOn": "2022-03-{10}T15:51:58.100Z",
12 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
13 "updatedOn": "2022-03-10T16:15:26.100Z",
14 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
15 "isExternal": true
16 }
17]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns the private task with the specified id for the current user.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

userIdstringOptionalformat: "uuid"
The id of the user.
pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The primary identifier of this task status.
namestring or null
The name of the task status.
typestring or null
Of what general type is this task status?.
orderdouble or null
The order of the task status in a project.
iconstring or null
The icon of the task status.
projectIdstring or nullformat: "uuid"
Is set if the task status is related to a project.
projectTypeIdstring or nullformat: "uuid"
Is set if the task status is related to a project type.
workflowIdstring or nullformat: "uuid"
Is set if the task status is related to a workflow.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
isExternalboolean

True if the task status is coming from an external workspace (awork Connect).